package fr.univnantes.alma;

public interface MiddlewareClient {

    /**
     * Connection to the game.
     *
     * @return true if the connection has been done correctly, false otherwise.
     */
    boolean connectionGame(String user);

    /**
     * Disconnection from the game.
     *
     * @return true if the disconnection has been done correctly, false otherwise.
     */
    boolean disconnectionGame(String user);

    /**
     * Distributes cards.
     *
     * @return true if cards have been distributed, false otherwise.
     */
    boolean distributionCard();

    /**
     * Choose an action.
     *
     * @return true if the action has been chosen, false otherwise.
     */
    boolean chooseAction(int action);

    /**
     * Choose a card.
     *
     * @return true if the card has been chosen, false otherwise.
     */
    boolean chooseCard(Card card);

}
