package fr.univnantes.alma.cards;

import fr.univnantes.alma.Card;

public class CardWonder implements Card {

    /**
     * The name of the card.
     */
    private String name;

    /**
     * The side of the card.
     */
    private String side;

    /**
     * Constructor of CardWonder. A card wonder has a name and a side.
     *
     * @param side the side of the card (A or B)
     */
    public CardWonder(String name, boolean side) {
        this.name = name;
        this.selectSide(side);
    }

    /**
     * Select the side of a card wonder.
     *
     * @param isHeads true if the card wonder is side A, B otherwise
     */
    private void selectSide(boolean isHeads) {
        if (isHeads) {
            this.side = "A";
        } else {
            this.side = "B";
        }
    }

    /**
     * Getter of the card side.
     *
     * @return the card's side
     */
    public String getSide() {
        return this.side;
    }

    @Override
    public String getName() {
        return this.name;
    }
}
